Page MenuHomeFreeBSD

Mk/Uses/cargo.mk: respect CC when --target is passed
ClosedPublic

Authored by jbeich on Aug 16 2021, 7:30 PM.

Details

Summary

Fixes bug 257588 but may benefit other ports. Proposed commit message:

Mk/Uses/cargo.mk: respect CC when --target is passed

devel/cargo-c always passes --target when building consumers.
Some other USES=cargo consumers may also pass --target.

Approved by:	?
xDifferential Revision: https://reviews.freebsd.org/D31568
Test Plan
$ export CC=clang BINARY_ALIAS=cc=false
$ make clean all -C multimedia/librav1e

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.
  • Drop target-specific LDFLAGS as -C link-arg in global RUSTFLAGS works fine
jbeich retitled this revision from Mk/Uses/cargo.mk: respect CC/LDFLAGS when --target is passed to Mk/Uses/cargo.mk: respect CC when --target is passed.Aug 16 2021, 8:55 PM
jbeich edited the summary of this revision. (Show Details)

I confirm, this fixes the issue (rust=rust-nightly).

tobik requested changes to this revision.Aug 21 2021, 8:02 AM
tobik added a subscriber: tobik.
tobik added inline comments.
Mk/Uses/cargo.mk
72

Since it is public/overridable, it seems incomplete to not add it to CARGO_ENV too.

92

Why do we still need -Clinker now?

This revision now requires changes to proceed.Aug 21 2021, 8:02 AM
This revision was not accepted when it landed; it landed in state Needs Revision.Sep 19 2021, 9:16 AM
This revision was automatically updated to reflect the committed changes.